List delivery attempts
GET
/v1/deliveries
const url = 'https://api.hooks.events/v1/deliveries?status=pending';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.hooks.events/v1/deliveries?status=pending' \ --header 'Authorization: Bearer <token>'Requires the deliveries:read scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”cursor
string
Cursor from a previous nextCursor
limit
integer
Page size, 1–100 (default 20)
status
string
endpointId
string
destinationId
string
replayId
string
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
required
Array<object>
object
id
required
Resource id
string
projectId
required
string
eventId
required
string
destinationId
required
string
via
required
string
status
required
string
attemptCount
required
integer
maxAttempts
required
integer
lastErrorCode
required
string | null
lastErrorMessage
required
string | null
replayId
required
string | null
targetRunId
required
string | null
targetRunUrl
required
string | null
createdAt
required
ISO-8601 timestamp
string
updatedAt
required
ISO-8601 timestamp
string
key
additional properties
nextCursor
required
Pass as ?cursor= to fetch the next page
string | null
key
additional properties
Example
{ "data": [ { "via": "server", "status": "pending" } ]}Validation error
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Missing or invalid credentials
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}The credential lacks the required scope, or the workspace is not writable
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Rate limited
Media typeapplication/json
object
error
required
object
code
required
Machine-readable error code
string
message
required
string
requestId
required
Request id, also echoed in x-request-id
string
key
additional properties
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example" }}Headers
Section titled “Headers”X-RateLimit-Limit
integer
Requests allowed per window
X-RateLimit-Remaining
integer
X-RateLimit-Reset
integer
Seconds until the window resets